PATCH
/boards/{board_id}/service_monitors/{id}Update service monitor
Update a service monitor. You can update the name, description, and monitor group assignment.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
board_idstringrequired
Unique ID of the board
idstringrequired
Unique ID of the service monitor
descriptionstringoptional
Description for the monitor
metadataobjectoptional
Key/value tags
monitor_group_idstringoptional
ID of the monitor group to assign this monitor to (set to null to remove from group)
namestringoptional
Custom name for the monitor
200service monitor removed from group
dataobjectoptional
successbooleanoptional
401unauthorized
404service monitor not found
errorsarray<string>optional
successbooleanoptional
Error handling
A 401 is returned: unauthorized. A 404 is returned: service monitor not found.